
/**
 * Decorative react components of apeman.
 * @namespace apeman-react-decorative
 * @property {function} ApClock - ApClock component from "apeman-react-clock" module.
 * @property {function} ApClockStyle - ApClockStyle component from "apeman-react-clock" module.
 * @property {function} ApAnalogClock - ApAnalogClock component from "apeman-react-clock" module.
 * @property {function} ApAnalogClockStyle - ApAnalogClockStyle component from "apeman-react-clock" module.
 * @property {function} ApDigitalClock - ApDigitalClock component from "apeman-react-clock" module.
 * @property {function} ApDigitalClockStyle - ApDigitalClockStyle component from "apeman-react-clock" module.
 * @property {function} ApShowcase - ApShowcase component from "apeman-react-showcase" module.
 * @property {function} ApShowcaseStyle - ApShowcaseStyle component from "apeman-react-showcase" module.
 * @property {function} ApDesktopShowcase - ApDesktopShowcase component from "apeman-react-showcase" module.
 * @property {function} ApDesktopShowcaseStyle - ApDesktopShowcaseStyle component from "apeman-react-showcase" module.
 * @property {function} ApMobileShowcase - ApMobileShowcase component from "apeman-react-showcase" module.
 * @property {function} ApMobileShowcaseStyle - ApMobileShowcaseStyle component from "apeman-react-showcase" module.
 * @property {function} ApSlideshow - ApSlideshow component from "apeman-react-slideshow" module.
 * @property {function} ApSlideshowStyle - ApSlideshowStyle component from "apeman-react-slideshow" module.
 * @property {function} ApPhoto - ApPhoto component from "apeman-react-photo" module.
 * @property {function} ApPhotoStyle - ApPhotoStyle component from "apeman-react-photo" module.
 * @property {function} ApPaperPhoto - ApPaperPhoto component from "apeman-react-photo" module.
 * @property {function} ApPaperPhotoStyle - ApPaperPhotoStyle component from "apeman-react-photo" module.
 * @property {function} ApAlbum - ApAlbum component from "apeman-react-album" module.
 * @property {function} ApAlbumStyle - ApAlbumStyle component from "apeman-react-album" module.
*/

'use strict'

const apemanReactClock = require('apeman-react-clock')
const apemanReactShowcase = require('apeman-react-showcase')
const apemanReactSlideshow = require('apeman-react-slideshow')
const apemanReactPhoto = require('apeman-react-photo')
const apemanReactAlbum = require('apeman-react-album') 
// --------------------------
// apeman-react-clock
// --------------------------

exports.ApClock = apemanReactClock.ApClock
exports.ApClockStyle = apemanReactClock.ApClockStyle
exports.ApAnalogClock = apemanReactClock.ApAnalogClock
exports.ApAnalogClockStyle = apemanReactClock.ApAnalogClockStyle
exports.ApDigitalClock = apemanReactClock.ApDigitalClock
exports.ApDigitalClockStyle = apemanReactClock.ApDigitalClockStyle

// --------------------------
// apeman-react-showcase
// --------------------------

exports.ApShowcase = apemanReactShowcase.ApShowcase
exports.ApShowcaseStyle = apemanReactShowcase.ApShowcaseStyle
exports.ApDesktopShowcase = apemanReactShowcase.ApDesktopShowcase
exports.ApDesktopShowcaseStyle = apemanReactShowcase.ApDesktopShowcaseStyle
exports.ApMobileShowcase = apemanReactShowcase.ApMobileShowcase
exports.ApMobileShowcaseStyle = apemanReactShowcase.ApMobileShowcaseStyle

// --------------------------
// apeman-react-slideshow
// --------------------------

exports.ApSlideshow = apemanReactSlideshow.ApSlideshow
exports.ApSlideshowStyle = apemanReactSlideshow.ApSlideshowStyle

// --------------------------
// apeman-react-photo
// --------------------------

exports.ApPhoto = apemanReactPhoto.ApPhoto
exports.ApPhotoStyle = apemanReactPhoto.ApPhotoStyle
exports.ApPaperPhoto = apemanReactPhoto.ApPaperPhoto
exports.ApPaperPhotoStyle = apemanReactPhoto.ApPaperPhotoStyle

// --------------------------
// apeman-react-album
// --------------------------

exports.ApAlbum = apemanReactAlbum.ApAlbum
exports.ApAlbumStyle = apemanReactAlbum.ApAlbumStyle

